<div class='ptx__tax'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-personal-information
    [isSubmitted]='isSubmitted'
    [form]='form'
    (getEmployee)='getEmployeeId($event)'
    [isCheckEmployeeHasTaxNumber]="true"
    [functionCode]='functionCode'
  ></app-personal-information>
  <form nz-form [formGroup]="form" style="margin-top: 20px">
    <div nz-row [nzGutter]="[30,30]">
      <div nz-col [nzXs]="12" [nzLg]="8">
        <mb-select [mbDataSelects]="listYear"
                   formControlName="year"

                   [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['year'].errors !== null"
                   [mbErrors]="form.controls['year'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'personalTax.validate.required' | translate: {'param': 'personalTax.declarationRegisters.year' | translate }}]"
                   mbPlaceholder="{{'personalTax.declarationRegisters.year' | translate}}"
                   mbLabelText="{{'personalTax.declarationRegisters.year' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="8">
        <label class="label__method">{{'personalTax.declarationRegisters.methodCode' | translate}}</label>
        <div style="margin-top: 12px">
          <nz-radio-group formControlName="methodCode" (ngModelChange)='changeMethodCode($event)'>
            <label nz-radio [nzValue]="o.value" *ngFor="let o of options">{{ o.label }}</label>
          </nz-radio-group>
        </div>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_AUTHORIZATION">
        <nz-switch formControlName="isCommit"></nz-switch>
        <span style="margin-left: 10px">{{'personalTax.declarationRegisters.commit' | translate : {'year' : form.value['year'] ? form.value['year'] : currentYear} }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_NOT_AUTHORIZATION">
        <nz-switch formControlName="isRegisterReceive"></nz-switch>
        <span style="margin-left: 10px">{{'personalTax.declarationRegisters.registerReceive' | translate}}</span>
      </div>

      <div nz-col [nzXs]=24 [nzLg]="24" *ngIf="form.value['methodCode'] === constant.IS_NOT_AUTHORIZATION">
        <mb-input-text
          formControlName="note"
          [mbIsTextAre]="true"
          [mbMaxLength]="500"
          mbPlaceholderText="{{'personalTax.dependentRegisters.note' | translate}}"
          mbLabelText="{{'personalTax.dependentRegisters.note' | translate}}"></mb-input-text>
      </div>

      <div nz-col [nzXs]="24" [nzLg]="24" [ngStyle]="{'text-align': 'right'}" >
        <button nz-button nzType="default" *ngIf="!isDetail" (click)="closeModalAdd()">{{'personalTax.dependentRegisters.cancel' | translate}}</button>
        <button nz-button nzType="default" *ngIf="isDetail" (click)="closeModalAdd()">{{'personalTax.dependentRegisters.back' | translate}}</button>
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
                   (click)="onSave()"
                   *ngIf="!isDetail"
                   [mbIsDisable]="!form.value['isCommit'] && form.value['methodCode'] === constant.IS_AUTHORIZATION"
                   mbButtonText="{{'personalTax.dependentRegisters.save' | translate}}"></mb-button>
      </div>
    </div>
  </form>
</div>
